#ifndef CHANNEL_API_INTERNAL_H
#define CHANNEL_API_INTERNAL_H

// #include <glite/data/transfer/c/channelStub.h>
#include <channelStub.h>

#include "internal.h"

/**********************************************************************
 * SOAP type conversion functions
 */
#if _GSOAP_VERSION >= 0x020700  
#define ArrayOf_USCOREsoapenc_USCOREstring channelArrayOf_USCOREsoapenc_USCOREstring                                           
#elif 
#define ArrayOf_USCOREsoapenc_USCOREstring channel__ArrayOf_USCORExsd_USCOREstring
#endif

char **from_soap_StringArray(glite_transfer_ctx *ctx,
    struct ArrayOf_USCOREsoapenc_USCOREstring *resp, int *resultCount);


struct transfer__Channel *to_soap_Channel(struct soap *soap,
    const glite_transfer_Channel *channel);
glite_transfer_Channel *from_soap_Channel(glite_transfer_ctx *ctx,
    const struct transfer__Channel *schannel);

struct transfer__Channel2 *to_soap_Channel2(struct soap *soap,
   const glite_transfer_Channel2 *channel2);
glite_transfer_Channel2 *from_soap_Channel2(glite_transfer_ctx *ctx,
   const struct transfer__Channel2 *schannel2);

struct transfer__Channel3 *to_soap_Channel3(struct soap *soap,
   const glite_transfer_Channel3 *channel3);
glite_transfer_Channel3 *from_soap_Channel3(glite_transfer_ctx *ctx,
   const struct transfer__Channel3 *schannel3);
   
   
glite_transfer_ChannelAuditEntry *from_soap_ChannelAuditEntry(glite_transfer_ctx *ctx,
    const struct transfer__ChannelAuditEntry *sca);

#endif /* CHANNEL_API_INTERNAL_H */
