/*
 *  Copyright (c) Members of the EGEE Collaboration. 2005.
 *  See http://eu-egee.org/partners/ for details on the copyright holders.
 *  For license conditions see the license file or http://eu-egee.org/license.html
 *
 *  gLite Data Management - Simple channel management API
 *
 *  Authors:
 *      Zsolt Molnar <Zsolt.Molnar@cern.ch>
 */
 
#ifndef FTS_EXCEPTION_ID_H
#define FTS_EXCEPTION_ID_H

/**
 * ID for all the faults present in the corresponding WSDL. Faults will represent
 * exceptions in programming language terminology.
 */
typedef enum {
    fts_exception_Authorization_id,
    fts_exception_Internal_id,
    fts_exception_NotExists_id,
    fts_exception_InvalidArgument_id,
    fts_exception_ServiceBusy_id,
    fts_exception_CannotCancel_id,
    fts_exception_Exists_id,
    fts_exception_Unknown_id
} fts_exception_id_t;

#endif /*  #ifndef FTS_EXCEPTION_ID_H */
